#!/usr/bin/env bash

MEM_OPTS="-Xms1024m -Xmx1024m"

if [[ "$SPRING_PROFILE" =~ "online" || "$SPRING_PROFILE" =~ "pre" ]]; then
  MEM_OPTS="-Xms3584m -Xmx3584m"
fi

JAVA_OPTS="-server $MEM_OPTS -Dspring.profiles.active=$SPRING_PROFILE -verbose.gc -Xloggc:gc.log \
 -XX:+PrintGCDetails -XX:+PrintGCDateStamps -XX:+PrintGCApplicationStoppedTime -XX:+HeapDumpOnOutOfMemoryError \
 -XX:+PrintGCApplicationConcurrentTime -XX:+UseGCLogFileRotation -XX:NumberOfGCLogFiles=5 -XX:GCLogFileSize=100M \
 -Dcom.sun.management.jmxremote -Dcom.sun.management.jmxremote.port=1099 -Dcom.sun.management.jmxremote.rmi.port=1099 \
 -Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.ssl=false \
 -DSW_AGENT_NAME=$SERVICE_NAME "

if [[ "$SPRING_PROFILE" =~ "online" || "$SPRING_PROFILE" =~ "pre" ]]; then
  SW_SERVICES="10.2.2.7:11800,10.2.2.12:11800,10.2.2.13:11800"
else
  SW_SERVICES="192.168.0.6:11800"
  JAVA_OPTS="$JAVA_OPTS -javaagent:skywalking-agent/skywalking-agent.jar"
fi

JAVA_OPTS="$JAVA_OPTS -DSW_AGENT_COLLECTOR_BACKEND_SERVICES=$SW_SERVICES"

if [ $SPRING_PROFILE != "online" ]; then
  JAVA_OPTS="$JAVA_OPTS -Xdebug -Xrunjdwp:transport=dt_socket,address=$DEBUG_PORT,server=y,suspend=n"
fi

java $JAVA_OPTS -Djava.security.egd=file:/dev/./urandom -jar app.jar
